package net.northking.cctp.executePlan.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties("atu.plan")
public class AtuPlanConfig {
    /**
     * 任务等待超时时间 单位：小时 默认24小时
     */
    private Integer waitTimeout = 24;

    public Integer getWaitTimeout() {
        return waitTimeout;
    }

    public void setWaitTimeout(Integer waitTimeout) {
        if (waitTimeout <= 0) {
            waitTimeout = 1;
        }
        this.waitTimeout = waitTimeout;
    }
}
